Subject: Re: bug#70914: 29.3; Crashes often on Windows

From: Andrea Corallo <[email-masked]>
Date: Thu, 16 May 2024 13:04:54 -0400

Eli Zaretskii <[email-masked]> writes:

[...]

>> We don't have ATM any mechanism to replace already loaded eln with the
>> corresponding elc, so I think there's no quick solution for that ATM.
>
> No, that's not what I meant.  What I meant was to do something, and
> then restart Emacs.  So my question is: given that the emacs.pdmp file
> was created by a build with native compilation, and has the names of
> the preloaded *.eln file recorded in it, can we do anything to force
> Emacs NOT to load those *.eln files at startup?  Or will Emacs simply
> fail to start if it cannot load those preloaded *.eln files?

The second, it will fail.

  Andrea